OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.ControlPoint

Description

This is a purely internal module for handling control points.

# Documentation

class ControlPoint c where Source

Methods

map1Target :: Domain d => c d -> GLenum Source

map2Target :: Domain d => c d -> GLenum Source

enableCap1 :: Domain d => c d -> EnableCap Source

enableCap2 :: Domain d => c d -> EnableCap Source

numComponents :: Domain d => c d -> Stride Source

peekControlPoint :: Domain d => Ptr (c d) -> IO (c d)Source

pokeControlPoint :: Domain d => Ptr (c d) -> c d -> IO ()Source

Instances

ControlPoint Index1 |
ControlPoint Color4 |
ControlPoint Normal3 |
ControlPoint TexCoord4 |
ControlPoint TexCoord3 |
ControlPoint TexCoord2 |
ControlPoint TexCoord1 |
ControlPoint Vertex4 |
ControlPoint Vertex3 |